org.apache.lucene.demo.xmlparser

## Class FormBasedXmlQueryDemo

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.apache.lucene.demo.xmlparser.FormBasedXmlQueryDemo

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class FormBasedXmlQueryDemo
    extends javax.servlet.http.HttpServlet

Example servlet that uses the XML queryparser.

NOTE: you must provide CSV data in `/WEB-INF/data.tsv` for the demo to work!

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FormBasedXmlQueryDemo()` for instantiation by the servlet container

### Method Summary

Methods
`protected void` `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` `init(javax.servlet.ServletConfig config)`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FormBasedXmlQueryDemo

    public FormBasedXmlQueryDemo()

for instantiation by the servlet container

### Method Detail

#### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

Specified by:
  `init` in interface `javax.servlet.Servlet`
Overrides:
  `init` in class `javax.servlet.GenericServlet`
Throws:
  `javax.servlet.ServletException`

#### doPost

    protected void doPost(javax.servlet.http.HttpServletRequest request,
              javax.servlet.http.HttpServletResponse response)
                   throws javax.servlet.ServletException,
                          IOException

Overrides:
  `doPost` in class `javax.servlet.http.HttpServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`